#!/usr/bin/env bash
# About: Purge demo for UPYUN.
# Author: XIAO
# Update date: 2016-08-30

echo -n "Please input your bucket name: "
read bucket_name
echo -n "Please input your operator name: "
read operator_name
echo -n "Please input your operator password: "
read password
echo -n "Please input the urls, if more than one, you can use \n split: "
read urls
md5pass=`echo -n $password | md5sum | awk '{print $1}'`
date=`date -u "+%a, %d %b %Y %H:%M:%S GMT"`
sign=`echo -n -e "$urls"\&"$bucket_name"\&"$date"\&"$md5pass" | md5sum | awk '{print $1}'`

curl -X POST \
    http://purge.upyun.com/purge/ \
    -H "Authorization: UpYun $bucket_name:$operator_name:$sign" \
    -H "Date: $date" \
    -F purge=$urls
